# \nre\configsAppConfig

Application configuration.

This class contains static variables with configuration values for the specific application.

## Summary

Methods
Properties
Constants
No public methods found
$app
$defaults
$dirs
$media
$mimetypes
$misc
$validation
$routes
$reverseRoutes
$database
$mail
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A
final

File
  configs/AppConfig.inc
Package
  Default
Class hierarchy
  \nre\configs\AppConfig

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $app

    $app : array

Application values

#### Type

array

#

## Tags

static |

### $defaults

    $defaults : array

Default values

#### Type

array

#

## Tags

static |

### $dirs

    $dirs : array

Directories

#### Type

array

#

## Tags

static |

### $media

    $media : array

Media sizes

#### Type

array

#

## Tags

static |

### $mimetypes

    $mimetypes : array

Allowed mimetypes with sizes

#### Type

array

#

## Tags

static |

### $misc

    $misc : array

Miscellaneous settings

#### Type

array

#

## Tags

static |

### $validation

    $validation : array

Validation settings for user input

#### Type

array

#

## Tags

static |

### $routes

    $routes : array

Routes

#### Type

array

#

## Tags

static |

### $reverseRoutes

    $reverseRoutes : array

Reverse routes

#### Type

array

#

## Tags

static |

### $database

    $database : array

Database connection settings

#### Type

array

#

## Tags

static |

### $mail

    $mail : array

Mailserver connection settings

#### Type

array

#

## Tags

static |

### AppConfig.inc